@layer components {
    .btn {
        // button style
        @apply rounded font-semibold text-sm leading-[17px] tracking-[0.75px] disabled:opacity-70 disabled:cursor-not-allowed transition-all duration-300;

        // button size
        @apply py-[9px] px-4;

        // button color style
        @apply text-darkGrey border border-darkGrey-opacity-70;

        .spinner-wrapper {
            @apply static transform-none;

            .spinner {
                @apply w-3 h-3;
                background-size: 3px 3px;
            }
        }
    }

    .btn-primary {
        @apply dark:bg-primary bg-secondary dark:border-primary border-secondary text-white;
        box-shadow: inset 0px -2px 0px rgba(0, 0, 0, 0.08) !important;
    }

    .btn-secondary {
        @apply bg-white border-primary text-primary;
    }
}